# /usr/bin/env python3
# -*- coding: utf-8 -*-

from PyQt6.QtWidgets import (
    QApplication,
    QMainWindow,
    QPushButton,
    QVBoxLayout,
    QHBoxLayout,
    QGridLayout,
    QStackedLayout,
    QWidget
)

class QVBoxLayoutMainWindow(QMainWindow):
    def __init__(self):
        super().__init__()
        
        central_widget = QWidget()
        layout = QVBoxLayout()
        central_widget.setLayout(layout)
        self.setCentralWidget(central_widget)

        button1 = QPushButton("ボタン1")
        button2 = QPushButton("ボタン2")
        button3 = QPushButton("ボタン3")
        layout.addWidget(button1)
        layout.addWidget(button2)
        layout.addWidget(button3)
        
class QHBoxLayoutMainWindow(QMainWindow):
    def __init__(self):
        super().__init__()
        
        central_widget = QWidget()
        layout = QHBoxLayout()
        central_widget.setLayout(layout)
        self.setCentralWidget(central_widget)

        button1 = QPushButton("ボタン1")
        button2 = QPushButton("ボタン2")
        button3 = QPushButton("ボタン3")
        layout.addWidget(button1)
        layout.addWidget(button2)
        layout.addWidget(button3)
        
class QGridLayoutMainWindow(QMainWindow):
    def __init__(self):
        super().__init__()
        
        central_widget = QWidget()
        layout = QGridLayout()
        central_widget.setLayout(layout)
        self.setCentralWidget(central_widget)

        button1 = QPushButton("ボタン1")
        button2 = QPushButton("ボタン2")
        button3 = QPushButton("ボタン3")
        layout.addWidget(button1, 0, 0)
        layout.addWidget(button2, 0, 1)
        layout.addWidget(button3, 1, 0, 1, 2)

class QStackedLayoutMainWindow(QMainWindow):
    def __init__(self):
        super().__init__()
        
        central_widget = QWidget()
        layout = QStackedLayout()
        central_widget.setLayout(layout)
        self.setCentralWidget(central_widget)

        button1 = QPushButton("ボタン1")
        button2 = QPushButton("ボタン2")
        button3 = QPushButton("ボタン3")
        layout.addWidget(button1)
        layout.addWidget(button2)
        layout.addWidget(button3)
        
        layout.setCurrentIndex(1)

app = QApplication([])
window1 = QVBoxLayoutMainWindow()
window2 = QHBoxLayoutMainWindow()
window3 = QGridLayoutMainWindow()
window4 = QStackedLayoutMainWindow()
window1.move(100, 100)
window2.move(400, 100)
window3.move(100, 400)
window4.move(400, 400)
window1.show()
window2.show()
window3.show()
window4.show()

app.exec()